org.fourthline.cling.support.model.dlna.message.header

## Class RealTimeInfoHeader

- java.lang.Object
- - org.fourthline.cling.model.message.header.UpnpHeader<T>
  - - org.fourthline.cling.support.model.dlna.message.header.DLNAHeader<NormalPlayTime>
    - - org.fourthline.cling.support.model.dlna.message.header.RealTimeInfoHeader

-     public class RealTimeInfoHeader
      extends DLNAHeader<NormalPlayTime>

  Author:
    Mario Franco

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.support.model.dlna.message.header.DLNAHeader

      `DLNAHeader.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RealTimeInfoHeader()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getString()`
    `void` | `setString(String s)`

    - ### Methods inherited from class org.fourthline.cling.support.model.dlna.message.header.DLNAHeader

      `newInstance`

    - ### Methods inherited from class org.fourthline.cling.model.message.header.UpnpHeader

      `getValue, newInstance, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PREFIX

          public static final String PREFIX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RealTimeInfoHeader

          public RealTimeInfoHeader()

  - ### Method Detail

    - #### setString

          public void setString(String s)
                         throws InvalidHeaderException

      Specified by:
        `setString` in class `UpnpHeader<NormalPlayTime>`
      Throws:
        `InvalidHeaderException`

    - #### getString

          public String getString()

      Specified by:
        `getString` in class `UpnpHeader<NormalPlayTime>`

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.